<?php

namespace Lc\SovBundle\Factory\Setting;

use Lc\SovBundle\Model\File\FileInterface;
use Lc\SovBundle\Model\Setting\SiteSettingInterface;
use Lc\SovBundle\Model\Site\SiteInterface;

interface SiteSettingFactoryInterface
{
    public function create(
        SiteInterface $site,
        string $name,
        string $text = null,
        \DateTime $date = null,
        FileInterface $file = null
    ): SiteSettingInterface;
}
