<?php

namespace Lc\SovBundle\Doctrine\Pattern;

use Lc\SovBundle\Doctrine\EntityInterface;
use Lc\SovBundle\Doctrine\Extension\BlameableInterface;
use Lc\SovBundle\Doctrine\Extension\BlameableTrait;
use Lc\SovBundle\Doctrine\Extension\DevAliasInterface;
use Lc\SovBundle\Doctrine\Extension\DevAliasTrait;
use Lc\SovBundle\Doctrine\Extension\TimestampableInterface;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;
use Lc\SovBundle\Doctrine\Extension\TimestampableTrait;

/**
 * @ORM\MappedSuperclass
 */
abstract class AbstractLightEntity implements BlameableInterface, TimestampableInterface, DevAliasInterface,
                                              EntityInterface
{

    use BlameableTrait;
    use DevAliasTrait;
    use TimestampableTrait;

}
